
createQuestLeo = function()

	InitNPCLookAt("leo")

end






destroyQuestLeo = function()

	DisableNpcMarker("leo")

	local job = {}
	
	job.Tribute = uniqueTributeCounter
	
	uniqueTributeCounter = uniqueTributeCounter +1

	Logic.AddTribute(	GetHumanPlayer(), 
						job.Tribute,
						0,
						0,
						"Zahlt dem Erfinder Leonardo 5.000 Schwefel, damit er Euch den Weg freisprengt.", 
						ResourceType.Sulfur, 
						5000 )

--	job.Resources 	= { gold = 200 }

	job.Callback 	= TributePaidLeo

	SetupTributePaid(job)

end






TributePaidLeo = function()
	
	createBriefingExplodingStones()

	-- enable new Technologie sWORDFIGHTER "
	Logic.SetTechnologyState(GetHumanPlayer(),Technologies.T_UpgradeSword2, 2)
	Logic.SetTechnologyState(GetHumanPlayer(),Technologies.MU_LeaderSword3, 2 )

	return true
	
end
	
